Security Enhanced Linux Reference Policy

# Layer: apps

## Module: evolution

Tunables Interfaces

### Description:

Evolution email client.

### Tunables:

evolution_manage_all_user_content

##### Default value

false

##### Description

Grant the evolution domains manage rights on all user content

evolution_manage_generic_user_content

##### Default value

false

##### Description

Grant the evolution domains manage rights on generic user content

evolution_manage_user_certs

##### Default value

false

##### Description

Allow evolution to create and write user certificates in addition to being able to read them

evolution_read_all_user_content

##### Default value

false

##### Description

Grant the evolution domains read access to all user content

evolution_read_generic_user_content

##### Default value

true

##### Description

Grant the evolution domains read access to generic user content

Return

### Interfaces:

evolution_alarm_dbus_chat( domain )

##### Summary

Send and receive messages from evolution_alarm over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

evolution_dbus_chat( domain )

##### Summary

Send and receive messages from evolution over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

evolution_domtrans( domain )

##### Summary

Make a domain transition to the evolution target domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

evolution_home_filetrans( domain , private_type , object_class , name )

##### Summary

Create objects in the evolution home directories with a private type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private_type | Private file type.
object_class | Class of the object being created.
name | The name of the object being created.

evolution_read_home_files( domain )

##### Summary

Read evolution home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

evolution_read_orbit_tmp_files( domain )

##### Summary

Read evolution orbit temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

evolution_role( role , domain )

##### Summary

Role access for evolution.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

evolution_stream_connect( domain )

##### Summary

Connect to evolution using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return